Bug 1636383 - Images build by buildah and run by podman under regular user can't use CMD or ENTRYPOINT
Summary: Images build by buildah and run by podman under regular user can't use CMD or...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: buildah
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-05 09:27 UTC by Jiri Konecny
Modified: 2018-12-05 02:34 UTC (History)
5 users (show)

Fixed In Version: buildah-1.5-2.gite94b4f9.fc28 buildah-1.5-1.gite94b4f9.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 01:56:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Jiri Konecny 2018-10-05 09:27:02 UTC
Description of problem:
When image is build by buildah and run with podman everything under regular user then --cmd or --entrypoint doesn't work. If I run the same with sudo then everything work. I tested this with echo command. 
Inspect looks correct, the CMD is contained there correctly.
I'm not sure if this is a problem of buildah or podman.


Version-Release number of selected component (if applicable):
buildah version 1.3 (image-spec 1.0.0, runtime-spec 1.0.0)
podman version 0.9.1

How reproducible:
Always

Steps to Reproduce:
1. Run these commands under regular user:
ctr=$(buildah from fedora)
buildah config --cmd "/usr/bin/echo A" $ctr
buildah commit --rm $ctr test-cmd

2. Run: podman run test-cmd

Actual results:
"No command specified on command line or as CMD or ENTRYPOINT in this image"
error message shows up.
With sudo everything works as expected. 

Expected results:
It should run and "A" should be printed to command line.

Additional info:
I not that familiar with containers so maybe this is false positive. In that case the error message should give a hint about this problem.

Comment 1 Fedora Update System 2018-11-23 12:38:13 UTC
buildah-1.5-1.gite94b4f9.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9898d665a

Comment 2 Fedora Update System 2018-11-23 12:38:18 UTC
buildah-1.5-2.gite94b4f9.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-907d1ef691

Comment 3 Fedora Update System 2018-11-24 05:02:32 UTC
buildah-1.5-2.gite94b4f9.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-907d1ef691

Comment 4 Fedora Update System 2018-11-24 05:46:35 UTC
buildah-1.5-1.gite94b4f9.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9898d665a

Comment 5 Fedora Update System 2018-12-05 01:56:19 UTC
buildah-1.5-2.gite94b4f9.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-12-05 02:34:40 UTC
buildah-1.5-1.gite94b4f9.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.